import { FileBase, IResolver } from '../file';
import { GitHub } from './github';
/**
 * @experimental
 */
export declare class GithubWorkflow extends FileBase {
    private readonly name;
    private events;
    private jobs;
    /**
     * @experimental
     */
    constructor(github: GitHub, name: string);
    /**
     * @experimental
     */
    on(events: {
        [event: string]: any;
    }): void;
    /**
     * @experimental
     */
    addJobs(jobs: {
        [jobid: string]: any;
    }): void;
    /**
     * (experimental) Implemented by derived classes and returns the contents of the file to emit.
     *
     * @experimental
     */
    protected synthesizeContent(resolver: IResolver): string | undefined;
}
